Copyright: Copyright © 1996 Doesn't Byte Software


Bugs/History

3/14/96 --

ESig95 1.0 converted from ESig 1.0 (16-bit Turbo Pascal for Windows 1.5) using Delphi 2.0.

3/17/96 --

ESig95 1.01 - Fixed minor bug that appeared after registration reminder screen.

3/24/96 --

ESig95 1.1 - Added ESig95 to SysTray w/ popup menu and more features.

3/29/96 --

ESig95 1.2 - Added auto randomize feature, now change sig when mail client is run, and fixed Win95 Shutdown problem.

4/27/96 --

-ESig95 1.2 renamed ESig95+ 2.0 and ESig95 1.01 becomes ESig95 2.0.  The difference is the + (plus sign) which is for the version that runs from the SysTray.

-Editor created.

-Esig.dat becomes ESig.ini (See ESig95 Ini for configuration).

-Fixed Timer bug.

-Increased number of lines/header and body from 15 to unlimited.

-Increased number of bodies from 50 to unlimited.

-Price increased from $5.00 to $7.00 due to large amount of work done on ESig95+ 2.0 and the Editor.

4/28/96 --

-Fixed a bug that caused the about dialog to hide the registration dialogs.

-Moved ESig.ini to the directory with ESig95 so more than one user can use ESig95.

5/4/96 --

- Fixed Save before closing prompt in ESig95 Editor.

- Fixed problem with lines not being completly cleared in the body section and problems when cutting and pasting.

- Changed the way deleted bodies are displayed in the Editor, the old way would cause lost data when undeleted.

5/25/96 --

- Added new features to ESig95 Editor.

- Reduced some memory usage.

- Fixed problem with returns in Editor.  No longer need a blank space to keep a blank line.

8/30/96 --

- Added the ability to reverse the Header & Body.

- Added choice to run ESig95+ on closing Editor.

- Fixed flash upon ESig95+ loading.

- Fixed popup menu problem for ESig95+.

- Reduced memory used for ESig95, ESig95+, & Editor (>1Meg reduced).

- Added option to popup menu to view current signatures.

- Fixed bug that stopped ESig95+ from re-loading upon exit of Editor.

- Added Command Line parameters for Mail Client

- What else am I forgeting??

Thanks goes to:

Mike Swanson for suggestions for auto randomize and changing sig when mail client is run.

Rick Osborne for testing ESig95 1.2 on NT 4.0 (beta).

David Fiedler for his patience, bug reports, suggestions, etc...

Bill Elsliger for the bug reports about the registration dialogs and suggestions to add tabs to ESig95 Editor

Ted Parsons for suggestions of adding the Signature Tab in the Editor.

All those who have registered.

All those who have provided links to DBS Home Page

All those who have passed the word around about ESig, ESig95+, ESig95.

Please let me know if I forgot anyone!!  I know there's alot more, but I have not had time to look up their suggestions/bug reports.

Special Thanks to the Beta Testers:

(can you really beta test a version 2.1?!?)

Doug Forman

Vincent Schonau

Tod Maffin

Alexander "Sparrow" C. Tsai

David Goebel

C J de Vries


Contents
ESig95

Copyright © 1996 Doesn't Byte Software

All Rights Reserved

Update 1.x to 2.x

Introduction

Instructions for Use

ESig95 INI

Bugs/History

Updates/Contact

Register


ESig95 Ini

ESig.dat has been changed to ESig.ini and placed in the directory with ESig95.  The Editor supplied will edit this Ini and make a backup copy to ESig.old.  I recommend using the Editor to avoid problems.

The following changes have been done:

Removed all comments.

[Files]:

MailClient=C:\INTERNET\EUDORA\EUDORA.EXE

(Full Path to Mail Client.)

CmdLine=

(Command Line parameters to be passed to the Mail Client)

SigFile=C:\INTERNET\EUDORA\SIGNATUR.PCE

(Full path to primary signature file.)

Sig2File=

(Full path to alternate signature file.)

Time=30

(Interval to randomize signatures.)

Auto=1

(Whether to randomize signature using above time or not. Yes = 1; No = 0)

Sigs=19

(Number of signatures in [Body].)

Rev=0

(Reverse Header & Body.  Yes =1; No = 0)

RunOnExit=1

(Run ESig95+ when exiting Editor.  Yes = 1; No = 0)

[Header]

(Whatever you want as a header in your signatures. Last line must be a semi-colon.)

;

[Body]

(Each body you wish to have in your signature must be placed here.  This part gets randomized.  Each body must be seperated by a semi-colon.)

;

(Here's another body..)

;

(Another...)

;

(The last line must be a semi-colon also.)

;


Instructions for Use

ESig95+ is run from the SysTray on Windows 95.

ESig95 is run to change the sig file, run the mail client, and then exit.

ESig95+ Only:

A single right mouse click will bring up a popup-menu with the following options:

1)  Help	Brings up this help file.

2)  About	Information about ESig95

3)  Exit	Exits the program.

4)  View Sigs	Views current signatures

5)  Change Sig	This allows manual changes to sig.

6)  Run Mail Client	This runs your mail client.

7)  Run Editor	Runs ESig95 Editor for ESig.ini

8)  Auto	This toggles automatic sig changes

during a user requested time

interval.

A single left mouse click will do the same as #5 above.

A double left mouse click will do the same as #6 above.


Introduction

ESig95 & ESig95+ are the Original E-Mail Singature Manager

ESig95 is designed to change signature files for most Internet e-mail clients that uses an ASCII file for the signature.

ESig95 can be used with Eudora Lite, Eudora Pro, Netscape, Agent, News Xpress, and maybe others.

ESig95 was written under Windows 95.  Thanks to Rick Osborne for testing ESig95 on a beta of NT 4.0

Registered users have the following benefits:

--Free upgrades regardless of version and price increases.

--Notification of new versions before release.

--Whatever I can think of to show my thanks for supporting ESig95.


Register

                         ESig95 2.1 Order Form

     Name:	______________________________

 Address:	______________________________

 Address:	______________________________

       City:	________________  State:  _______

Zip Code:	_________  Country:  ____________

    E-Mail:	______________________________

COST	QTY	PRICE

ESig95 	$7.00 ea.	___	$______

==================================================================

Please complete the following questions:

1) What made you register ESig95?  _________________________

2) Where did you receive ESig95?  ___________________________

3) How easy was ESig95 to setup?  __________________________

4) Is the registration price:  Too Low   About Right  Too High

5) What E-Mail Client are you using ESig95 with?  ______________

==================================================================

Bug Reports/Suggestion:

==================================================================

Mail completed form along with a check/money order in US Funds to:

Check/Money order  payable to: Jerry Jordan

Mail to:

Doesn't Byte Software

5228 Sage St.

Mtn. Home, ID  83648-1160

USA


Update 1.x to 2.0
Update 1.x to 2.x

The file ESIG1x_20.EXE will update ESig.dat from version 1.x to version 2.x.  ESIG1x_20.EXE will rename your current ESig.dat can be deleted or saved after teh conversion.  ESig.dat has become ESig.ini.  If you're updating from 1.2 to 2.x then the Time Interval for the Auto Randomize feature will be set to 30.  This was done so any older version of ESig.dat will be updated with this one program.

This must be done before attempting to run ESig95+ 2.x!

The following changes are made:

[Files]

MailClient=C:\INTERNET\EUDORA\EUDORA.EXE

SigFile=C:\INTERNET\EUDORA\SIGNATUR.PCE

Time=30

Auto=1

Sigs=19

[Header]

(Your header lines will be placed here.  A semi-colon must be the last line in this section.)

;

[Body]

;

(Your bodies will be placed here.  Each body must be seperated by a semi-colon and the last line must be a semi-colon)

;

(Here's another body...)

;

These changes add unlimited lines to both the header and the bodies and whether the Auto feature is enabled.

You can safely delete ESIG1x_20.EXE to save hard drive space after the conversion.

See ESig95 Ini for more information of ESig.ini configuration.


Updates/Contact

Future Updates:

1)  Ability to check mail??  (suggested)

2)  Total rewrite to improve performance.

3)  Whatever else people suggest.

Future updates can be found at:

 - http://netnow.micron.net/~jjordan/dbs/

Find tech support at:

 - http://netnow.micron.net/~jjordan/dbs/

 - dbs@micron.net